Bug 225156 - Mark specific tests as slow for pytest
Summary: Mark specific tests as slow for pytest
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sam Sneddon [:gsnedders]
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-04-28 11:09 PDT by Sam Sneddon [:gsnedders]
Modified: 2021-05-06 08:24 PDT (History)
4 users (show)

See Also:


Attachments
Patch (29.19 KB, patch)
2021-04-28 11:13 PDT, Sam Sneddon [:gsnedders]
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sam Sneddon [:gsnedders] 2021-04-28 11:09:53 PDT
Currently for pytest we just outright exclude scm_unittest, as we do with test-webkitpy.

However, there's no need to ignore absolutely everything; there are some tests in there which aren't slow, so instead we should explicitly mark those which are slow.

(Aside: I thought I'd already filed this and posted patch, but seemingly not?)
Comment 1 Sam Sneddon [:gsnedders] 2021-04-28 11:13:01 PDT
Created attachment 427280 [details]
Patch
Comment 2 Radar WebKit Bug Importer 2021-05-05 11:10:15 PDT
<rdar://problem/77566017>
Comment 3 EWS 2021-05-06 08:24:30 PDT
Committed r277089 (237392@main): <https://commits.webkit.org/237392@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 427280 [details].